YKBEC(4)

NAME
ykbec - Ene Technology KB3310B embedded controller chip

SYNOPSIS
ykbec0 at isa?

DESCRIPTION
The ykbec driver supports the Ene Technology KB3310B embedded controller chip found in the Lemote Yeeloong.

This chip provides general purpose I/O and handles several dedicated functions, including:

-   Fan control
-   Battery control
-   Button events
-   Power management
-   Lid state

Fan, battery, and lid information is made available via the sysctl(2) hardware sensor interface. Not all the device interfaces are supported under OpenBSD.

SEE ALSO
intro(4), isa(4)